---
Name: dell-dsu-setup
Description: Set up yum repositories required for Dell tooling.
RequiredParams:
  - dell-dsu-base-url
  - dell-dsu-block-release
Templates:
  - Name: dell-dsu-repo-setup
    Contents: |
      #!/usr/bin/env bash
      # Setup Dell DSU utilities in Sledgehammer

      {{ template "setup.tmpl" . }}
      . /etc/os-release
      baseurl='{{.ParamExpand "dell-dsu-base-url" | trimSuffix "/"}}'
      release='{{.Param "dell-dsu-block-release" | trimPrefix "DSU_"}}'

      if ! grep -q 'sledgehammer\.iso' /proc/cmdline; then
          echo "System not in Sledgehammer, exiting"
          exit 0
      fi

      {{ template "set-proxy-servers.sh.tmpl" .}}

      REPO_NAME=dell-system-update
      if [[ $release ]]; then
          url="$(echo ${baseurl} | sed 's|/dsu||')/DSU_${release}"
      else
          url="$baseurl"
      fi
      checksig=0

      if curl -fgLO "${url}/public.key"; then
          rpm --import public.key
          checksig=1
      fi
      if curl -fgLO "${url}/public_gpg3.key"; then
          rpm --import public_gpg3.key
          checksig=1
      fi

      cat > /etc/yum.repos.d/${REPO_NAME}.repo <<EOF
      [${REPO_NAME}_independent]
      name=${REPO_NAME}_independent
      baseurl=${url}/os_independent/
      gpgcheck=${checksig}
      enabled=1
      exclude=dell-system-update*.$exclude_arch

      [${REPO_NAME}_dependent]
      name=${REPO_NAME}_dependent
      baseurl=${url}/os_dependent/RHEL${VERSION_ID%%.*}_64/
      gpgcheck=${checksig}
      enabled=1
      EOF
